Bug 1808041 (CVE-2020-7919) - CVE-2020-7919 golang: Integer overflow on 32bit architectures via crafted certificate allows for denial of service
Summary: CVE-2020-7919 golang: Integer overflow on 32bit architectures via crafted cer...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-7919
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1808042 1808044
Blocks: 1808045
TreeView+ depends on / blocked
 
Reported: 2020-02-27 16:52 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 20:31 UTC (History)
34 users (show)

Fixed In Version: go 1.14, go 1.13.7, golang.org/x/crypto/cryptobyte v0.0.0-20200124225646-8b5121be2f68
Doc Type: If docs needed, set a value
Doc Text:
An integer overflow vulnerability was found in the Go crypto/x509 and golang.org/x/crypto/cryptobyte libraries on 32-bit architectures. A remote attacker could exploit this by supplying a crafted x.509 certificate, or other ASN.1 structure, as either a client or server to crash vulnerable Go applications.
Clone Of:
Environment:
Last Closed: 2020-03-17 04:31:42 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-02-27 16:52:00 UTC
On 32-bit architectures, a malformed input to crypto/x509 or the ASN.1 parsing functions of golang.org/x/crypto/cryptobyte can lead to a panic.

The malformed certificate can be delivered via a crypto/tls connection to a client, or to a server that accepts client certificates. net/http clients can be made to crash by an HTTPS server, while net/http servers that accept client certificates will recover the panic and are unaffected.

Reference:
https://github.com/golang/go/issues/36837

Comment 1 Guilherme de Almeida Suckevicz 2020-02-27 16:52:43 UTC
Created golang tracking bugs for this issue:

Affects: epel-all [bug 1808042]
Affects: fedora-all [bug 1808044]

Comment 2 Mark Cooper 2020-03-02 02:28:50 UTC
The current version of ServiceMesh only supports x86_64 architectures and hence is not affected by this flaw.

Reference: 
https://docs.openshift.com/container-platform/4.3/service_mesh/servicemesh-release-notes.html#ossm-supported-configurations_ossm-release-notes

Comment 10 Stoyan Nikolov 2020-03-06 06:58:48 UTC
Statement:

Below products are only supported on 64bit architectures and are therefore not affected by this flaw:

* OpenShift Container Platform
* OpenShift Service Mesh 
* Red Hat Ceph Storage
* Red Hat Gluster Storage
* Container-native Virtualization

Comment 11 Product Security DevOps Team 2020-03-17 04:31:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-7919


Note You need to log in before you can comment on or make changes to this bug.